Exponential 5.x Kernel 7.5.40 Exponential New Stack (Symfony-based) Kernel — PHP Class Reference

Public Member Functions | Protected Member Functions | Protected Attributes | List of all members
eZ\Bundle\EzPublishRestBundle\Features\Context\RestClient\GuzzleDriver Class Reference
Inheritance diagram for eZ\Bundle\EzPublishRestBundle\Features\Context\RestClient\GuzzleDriver:

## Public Member Functions
| __construct ()
| Instanciate a client. More...
| send ()
| Send the request. More...
| setHost ($host)
| Set request host. More...
| setResource ($resource)
| Set request resource url. More...
| setMethod ($method)
| Set request method. More...
| getStatusCode ()
| Get response status code. More...
| getStatusMessage ()
| Get response status message. More...
| setHeader ($header, $value)
| Set request header. More...
| getHeaders ()
| Get all response headers. More...
| getBody ()
| Get response body. More...
| setBody ($body)
| Set request body. More...
Public Member Functions inherited from eZ\Bundle\EzPublishRestBundle\Features\Context\RestClient\DriverInterface
| getHeader ($header)
| Get response header. More...
| setHeaders ($headers)
| Set request headers. More...
| setAuthentication ($user, $password, $type=self::AUTH_TYPE_BASIC)
| Set authentication. More...

## Protected Member Functions
| getResponse ()
| Get reponse. More...

## Protected Attributes
| $sent = false
| $client
| $request
| $response
| $host
| $resource
| $method
| $headers
| $body

## Additional Inherited Members
Public Attributes inherited from eZ\Bundle\EzPublishRestBundle\Features\Context\RestClient\DriverInterface
const | AUTH_TYPE_BASIC = 'BASIC'
| authentication types. More...

## Detailed Description

Definition at line 13 of file GuzzleDriver.php.

## Constructor & Destructor Documentation

## ◆ __construct()

eZ\Bundle\EzPublishRestBundle\Features\Context\RestClient\GuzzleDriver::__construct | ( |  | ) |

Instanciate a client.

Reimplemented in eZ\Bundle\EzPublishRestBundle\Features\Context\RestClient\Guzzle4Driver.

Definition at line 47 of file GuzzleDriver.php.

## Member Function Documentation

## ◆ getBody()

eZ\Bundle\EzPublishRestBundle\Features\Context\RestClient\GuzzleDriver::getBody | ( |  | ) |

Get response body.

Returns
  string

Exceptions

Implements eZ\Bundle\EzPublishRestBundle\Features\Context\RestClient\DriverInterface.

Reimplemented in eZ\Bundle\EzPublishRestBundle\Features\Context\RestClient\Guzzle4Driver.

Definition at line 198 of file GuzzleDriver.php.

## ◆ getHeaders()

eZ\Bundle\EzPublishRestBundle\Features\Context\RestClient\GuzzleDriver::getHeaders | ( |  | ) |

Get all response headers.

Returns
  array Associative array with $header => $value (value can be an array if it hasn't a single value)

Exceptions

Implements eZ\Bundle\EzPublishRestBundle\Features\Context\RestClient\DriverInterface.

Reimplemented in eZ\Bundle\EzPublishRestBundle\Features\Context\RestClient\Guzzle4Driver.

Definition at line 180 of file GuzzleDriver.php.

References eZ\Bundle\EzPublishRestBundle\Features\Context\RestClient\GuzzleDriver\$headers.

## ◆ getResponse()

eZ\Bundle\EzPublishRestBundle\Features\Context\RestClient\GuzzleDriver::getResponse | ( |  | ) |
| protected

Get reponse.

Returns
  \Guzzle\Http\Message\Response

Exceptions

Definition at line 59 of file GuzzleDriver.php.

References eZ\Bundle\EzPublishRestBundle\Features\Context\RestClient\GuzzleDriver\$response.

Referenced by eZ\Bundle\EzPublishRestBundle\Features\Context\RestClient\Guzzle4Driver\getBody(), eZ\Bundle\EzPublishRestBundle\Features\Context\RestClient\Guzzle4Driver\getHeaders(), eZ\Bundle\EzPublishRestBundle\Features\Context\RestClient\GuzzleDriver\getStatusCode(), and eZ\Bundle\EzPublishRestBundle\Features\Context\RestClient\GuzzleDriver\getStatusMessage().

## ◆ getStatusCode()

eZ\Bundle\EzPublishRestBundle\Features\Context\RestClient\GuzzleDriver::getStatusCode | ( |  | ) |

Get response status code.

Returns
  string

Exceptions

Implements eZ\Bundle\EzPublishRestBundle\Features\Context\RestClient\DriverInterface.

Definition at line 142 of file GuzzleDriver.php.

References eZ\Bundle\EzPublishRestBundle\Features\Context\RestClient\GuzzleDriver\getResponse().

## ◆ getStatusMessage()

eZ\Bundle\EzPublishRestBundle\Features\Context\RestClient\GuzzleDriver::getStatusMessage | ( |  | ) |

Get response status message.

Returns
  string

Exceptions

Implements eZ\Bundle\EzPublishRestBundle\Features\Context\RestClient\DriverInterface.

Definition at line 154 of file GuzzleDriver.php.

References eZ\Bundle\EzPublishRestBundle\Features\Context\RestClient\GuzzleDriver\getResponse().

## ◆ send()

eZ\Bundle\EzPublishRestBundle\Features\Context\RestClient\GuzzleDriver::send | ( |  | ) |

Send the request.

Implements eZ\Bundle\EzPublishRestBundle\Features\Context\RestClient\DriverInterface.

Reimplemented in eZ\Bundle\EzPublishRestBundle\Features\Context\RestClient\Guzzle4Driver.

Definition at line 71 of file GuzzleDriver.php.

## ◆ setBody()

eZ\Bundle\EzPublishRestBundle\Features\Context\RestClient\GuzzleDriver::setBody | ( |  | $body | ) |

Set request body.

Parameters

  string | $body |

Implements eZ\Bundle\EzPublishRestBundle\Features\Context\RestClient\DriverInterface.

Reimplemented in eZ\Bundle\EzPublishRestBundle\Features\Context\RestClient\Guzzle4Driver.

Definition at line 217 of file GuzzleDriver.php.

References eZ\Bundle\EzPublishRestBundle\Features\Context\RestClient\GuzzleDriver\$body.

## ◆ setHeader()

eZ\Bundle\EzPublishRestBundle\Features\Context\RestClient\GuzzleDriver::setHeader | ( |  | $header,
|  |  | $value
| ) |  |

Set request header.

Parameters

  string | $header | Header to be set

Implements eZ\Bundle\EzPublishRestBundle\Features\Context\RestClient\DriverInterface.

Definition at line 164 of file GuzzleDriver.php.

## ◆ setHost()

eZ\Bundle\EzPublishRestBundle\Features\Context\RestClient\GuzzleDriver::setHost | ( |  | $host | ) |

Set request host.

Parameters

  string | $host |

Implements eZ\Bundle\EzPublishRestBundle\Features\Context\RestClient\DriverInterface.

Definition at line 106 of file GuzzleDriver.php.

References eZ\Bundle\EzPublishRestBundle\Features\Context\RestClient\GuzzleDriver\$host.

## ◆ setMethod()

eZ\Bundle\EzPublishRestBundle\Features\Context\RestClient\GuzzleDriver::setMethod | ( |  | $method | ) |

Set request method.

Parameters

  string | $method | Can be GET, POST, PATCH, ...

Implements eZ\Bundle\EzPublishRestBundle\Features\Context\RestClient\DriverInterface.

Definition at line 130 of file GuzzleDriver.php.

References eZ\Bundle\EzPublishRestBundle\Features\Context\RestClient\GuzzleDriver\$method.

## ◆ setResource()

eZ\Bundle\EzPublishRestBundle\Features\Context\RestClient\GuzzleDriver::setResource | ( |  | $resource | ) |

Set request resource url.

Parameters

  string | $resource |

Implements eZ\Bundle\EzPublishRestBundle\Features\Context\RestClient\DriverInterface.

Definition at line 120 of file GuzzleDriver.php.

References eZ\Bundle\EzPublishRestBundle\Features\Context\RestClient\GuzzleDriver\$resource.

## Member Data Documentation

## ◆ $body

eZ\Bundle\EzPublishRestBundle\Features\Context\RestClient\GuzzleDriver::$body
| protected

Definition at line 42 of file GuzzleDriver.php.

Referenced by eZ\Bundle\EzPublishRestBundle\Features\Context\RestClient\Guzzle4Driver\setBody(), and eZ\Bundle\EzPublishRestBundle\Features\Context\RestClient\GuzzleDriver\setBody().

## ◆ $client

eZ\Bundle\EzPublishRestBundle\Features\Context\RestClient\GuzzleDriver::$client
| protected

Definition at line 21 of file GuzzleDriver.php.

## ◆ $headers

eZ\Bundle\EzPublishRestBundle\Features\Context\RestClient\GuzzleDriver::$headers
| protected

Definition at line 39 of file GuzzleDriver.php.

Referenced by eZ\Bundle\EzPublishRestBundle\Features\Context\RestClient\Guzzle4Driver\getHeaders(), and eZ\Bundle\EzPublishRestBundle\Features\Context\RestClient\GuzzleDriver\getHeaders().

## ◆ $host

eZ\Bundle\EzPublishRestBundle\Features\Context\RestClient\GuzzleDriver::$host
| protected

Definition at line 30 of file GuzzleDriver.php.

Referenced by eZ\Bundle\EzPublishRestBundle\Features\Context\RestClient\GuzzleDriver\setHost().

## ◆ $method

eZ\Bundle\EzPublishRestBundle\Features\Context\RestClient\GuzzleDriver::$method
| protected

Definition at line 36 of file GuzzleDriver.php.

Referenced by eZ\Bundle\EzPublishRestBundle\Features\Context\RestClient\GuzzleDriver\setMethod().

## ◆ $request

eZ\Bundle\EzPublishRestBundle\Features\Context\RestClient\GuzzleDriver::$request
| protected

Definition at line 24 of file GuzzleDriver.php.

## ◆ $resource

eZ\Bundle\EzPublishRestBundle\Features\Context\RestClient\GuzzleDriver::$resource
| protected

Definition at line 33 of file GuzzleDriver.php.

Referenced by eZ\Bundle\EzPublishRestBundle\Features\Context\RestClient\GuzzleDriver\setResource().

## ◆ $response

eZ\Bundle\EzPublishRestBundle\Features\Context\RestClient\GuzzleDriver::$response
| protected

Definition at line 27 of file GuzzleDriver.php.

Referenced by eZ\Bundle\EzPublishRestBundle\Features\Context\RestClient\GuzzleDriver\getResponse().

## ◆ $sent

eZ\Bundle\EzPublishRestBundle\Features\Context\RestClient\GuzzleDriver::$sent = false
| protected

Definition at line 18 of file GuzzleDriver.php.

The documentation for this class was generated from the following file:

- GuzzleDriver.php

Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.